.\" @(#) $Name: cflowd-2-1-b1 $ $Id: cfdprotos.man.in,v 1.4 1999/01/22 04:33:33 dwm Exp $
.TH cfdprotos l LOCAL
.SH NAME
cfdprotos \- utility to display current protocol table data in cflowd
.SH SYNOPSIS
cfdprotos [-v] [-n] [-c configfile] routerIpAddr [ifIndex]
.SH DESCRIPTION
.I cfdprotos
is used to display current protocol table data in cflowd running on 
the local host.
.SH REQUIRED ARGUMENTS
.IP "\fBrouterIpAddr"
You must specify a \fIrouterIpAddr\fR on the command line.  This
determines which router's protocol table data will be shown.  You may
only show a single router's protocol table data.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIcfdprotos\fR to print version information
and exit immediately.
.I{ "\fB-n"
The \fI-n\fR option will cause \fIcfdprotos\fR to print protocol numbers
instead of protocol names.  The default is to print the protocol names
when available (typically listed in /etc/protocols).
.IP "\fB-c configfile"
The \fI-c configfile\fR option can be used to specify a cflowd
configuration file.  If not specified, a compiled-in default will be
used.
.IP "\fBifIndex"
By default, \fIcfdprotos\fR will show data for all input interfaces on
the router whose IP address is \fIrouterIpAddr\fR.  You may select
a particular interface by its ifIndex (from SNMP MIB-II) using the
\fIifIndex\fR after the \fIrouterIpAddr\fR on the command line.
.SH EXAMPLES
.IP "cfdprotos 204.212.46.1 4"
.SH FILES
.IP "\fB/usr/local/arts/etc/cflowd.conf"
The compiled-in default cflowd configuration file.
.SH SEE ALSO
cflowd(l), cflowdmux(l), cfdnets(l), cfdportmatrix(l), cfdifmatrix(l),
cfdases(l), cfdnexthops(l), cfdcollect(l)
.SH ACKNOWLEDGEMENTS
.IP "\fBcfdprotos \fRand documentation written by:"

.br
Daniel W. McRobb
.br
CAIDA, September 1998
.SH RELEASE NAME
cflowd-2-1-b1
